MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Charset.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
`#include "Traits.hxx"`
Include dependency graph for Charset.hxx:

Go to the source code of this file.

## Functions
gcc_const const char * | GetFSCharset ()
| Gets file system character set name. More...
void | SetFSCharset (const char *charset)
| Throws std::runtime_error on error. More...
void | DeinitFSCharset ()
gcc_pure gcc_nonnull_all PathTraitsUTF8::string | PathToUTF8 (PathTraitsFS::const_pointer_type path_fs)
| Convert the path to UTF-8. More...
gcc_pure gcc_nonnull_all PathTraitsFS::string | PathFromUTF8 (PathTraitsUTF8::const_pointer_type path_utf8)
| Convert the path from UTF-8. More...

## Function Documentation

void DeinitFSCharset | ( |  | ) |

gcc_const const char* GetFSCharset | ( |  | ) |

Gets file system character set name.

gcc_pure gcc_nonnull_all PathTraitsFS::string PathFromUTF8 | ( | PathTraitsUTF8::const_pointer_type | path_utf8 | ) |

Convert the path from UTF-8.

Throws std::runtime_error on error.

gcc_pure gcc_nonnull_all PathTraitsUTF8::string PathToUTF8 | ( | PathTraitsFS::const_pointer_type | path_fs | ) |

Convert the path to UTF-8.

Throws std::runtime_error on error.

void SetFSCharset | ( | const char * | charset | ) |

Throws std::runtime_error on error.